/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.htl.leonding.digitalsignage.wayfinder.repositories;

import org.htl.leonding.digitalsignage.wayfinder.entities.ConnectRelation;
import org.htl.leonding.digitalsignage.wayfinder.entities.Floor;
import org.htl.leonding.digitalsignage.wayfinder.entities.Room;
import org.neo4j.ogm.config.CompilerConfiguration;
import org.neo4j.ogm.config.Configuration;
import org.neo4j.ogm.config.DriverConfiguration;
import org.neo4j.ogm.service.Components;
import org.neo4j.ogm.session.Session;
import org.neo4j.ogm.session.SessionFactory;

import javax.xml.crypto.Data;

/**
 *
 * @author Cristopher
 */
public class DatabaseRepository {

    private static DatabaseRepository INSTANCE;

    private Session session;

    DriverConfiguration driverConfig;
    CompilerConfiguration compilerConfig;
    Configuration configuration;

    public Session getSession() {
        return session;
    }

    public static DatabaseRepository getInstance(){
        if(INSTANCE == null)
            INSTANCE = new DatabaseRepository();

        return INSTANCE;
    }

    private DatabaseRepository() {

        Components.configuration()
                .driverConfiguration()
                .setDriverClassName("org.neo4j.ogm.drivers.http.driver.HttpDriver")
                //.setDriverClassName("org.neo4j.ogm.drivers.embedded.driver.EmbeddedDriver")
                .setURI("http://localhost:7474");
                //.setURI("file:///C:/Users/Cristopher/Documents/Neo4j/embeddedDB");

        driverConfig = Components.configuration().driverConfiguration();
        compilerConfig = Components.configuration().compilerConfiguration();
        configuration = Components.configuration();

        SessionFactory sessionFactory = new SessionFactory(configuration,"org.htl.leonding.digitalsignage.wayfinder.entities");
        session = sessionFactory.openSession();
    }

    public void fillDb(){

    }
}
