package org.htl.leonding.digitalsignage.wayfinder.entities;

import javafx.scene.paint.Color;
import org.htl.leonding.digitalsignage.wayfinder.interfaces.IDoForThisSubtype;
import org.htl.leonding.digitalsignage.wayfinder.models.MapNodeType;
import org.htl.leonding.digitalsignage.wayfinder.views.baseeditor.BaseEditorPresenter;
import org.neo4j.ogm.annotation.NodeEntity;

/**
 * Created by Cristopher on 08/12/2015.
 */
public class Corner extends MapNode implements IDoForThisSubtype {

    public Corner(double radius){
        super(Color.ORANGE,radius);
        isA = MapNodeType.Corner.name();
    }

    public Corner(){
        super(Color.ORANGE,DEFAULT_RADIUS);
        isA = MapNodeType.Corner.name();
    }


    @Override
    public void setPropertyForThisClass(BaseEditorPresenter controller) {
        controller.changeToCornerProperty();
    }
}
