package org.htl.leonding.digitalsignage.wayfinder.entities;

import javafx.scene.paint.Color;
import org.htl.leonding.digitalsignage.wayfinder.interfaces.IDoForThisSubtype;
import org.htl.leonding.digitalsignage.wayfinder.models.MapNodeType;
import org.htl.leonding.digitalsignage.wayfinder.views.baseeditor.BaseEditorPresenter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;

/**
 * Created by Cristopher on 08/12/2015.
 */
public class Room extends MapNode implements IDoForThisSubtype{

    public Room(double radius){
        super(Color.RED,radius);
        isA = MapNodeType.Room.name();
    }

    public Room(){
        super(Color.RED,DEFAULT_RADIUS);
        isA = MapNodeType.Room.name();
    }

    @Override
    public void setPropertyForThisClass(BaseEditorPresenter controller) {
        controller.changeToRoomProperty();
    }
}
