package org.htl.leonding.digitalsignage.wayfinder.main;/**
 * Created by Cristopher on 07/12/2015.
 */

import com.airhacks.afterburner.injection.Injector;
import com.sun.xml.internal.fastinfoset.sax.Properties;
import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Scene;
import javafx.stage.Stage;
import org.htl.leonding.digitalsignage.wayfinder.views.baseeditor.BaseEditorPresenter;
import org.htl.leonding.digitalsignage.wayfinder.views.baseeditor.BaseEditorView;
import org.omg.CORBA.portable.OutputStream;
import scala.sys.process.ProcessBuilderImpl;

import javax.inject.Inject;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.InputStream;

public class App extends Application {

    @Override
    public void start(Stage stage) throws Exception {
        stage.setTitle("Wayfinding-Editor (F1 - Help)");
        BaseEditorView baseView = new BaseEditorView();
        Scene scene = new Scene(baseView.getView());
        BaseEditorPresenter presenter = (BaseEditorPresenter) baseView.getPresenter();
        stage.setScene(scene);
        stage.setResizable(false);
        stage.show();
    }

    @Override
    public void stop(){
        Injector.forgetAll();
    }

    /**
     * The main() method is ignored in correctly deployed JavaFX application.
     * main() serves only as fallback in case the application can not be
     * launched through deployment artifacts, e.g., in IDEs with limited FX
     * support. NetBeans ignores main().
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
    }
}
